<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100147";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<script>
function datos(cod,nom){
    opener.document.neo.txt_CveTiEnt.value = cod;
    opener.document.neo.txt_NomTipEnt.value = nom;
    window.close();
}
</script>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br>
<?PHP
include ("Banners.php");
?>
<div align="center">
  <?PHP
		//////Muestra Clientes Registrados	
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:75%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='16' colspan='8' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;Buffer de Consolidaciones</td>");
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cve.Bodega</td>");
   		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cve.Cuenta</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>No.Pallet</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cantidad</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ubicación</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Calidad</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'></td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 

		require_once("Paginaciones/PHPPaging_50Reg.lib.php");  
			
		/////////Inicia cuerpo SQL	
		$paging = new PHPPaging;
		$paging->linkEstructura("112-VisualizaBufferConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&paginas={n}");
		$paging->agregarConsulta("SELECT * FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' ORDER BY NO_PALLET ASC");
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			$ConteoWH = $ConteoWH + 1;
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}
		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$f[CVE_BODEGA]</td>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$f[CVE_CUENTA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_PALLET]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANTIDAD]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[UBICACION]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[EDOCAL]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'><a href='112-EliminaBufferConsolidacion.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$f[NO_PALLET]&IdBD=$f[ID]' onclick='return confirmDelete(this);' style='color:$CCue_Tabl'><img src='../WMS_Resources/images/Img_004.png' width='15' height='15' border='0'/></a></td>");
		echo("</tr>");
			}
		echo("<tr>");	
	    echo("<td colspan='8' align='center'>");
		echo 'Pag. '.$paging->fetchNavegacion();
		echo("</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>
</div>
<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->
<script> 
    function confirmDelete(link) { 
        if (confirm("¿Realmente deseas eliminar este Pallet del Buffer de Consolidación?")) { 
            doAjax(link.href, "POST"); // doAjax needs to send the "confirm" field 
        } 
        return false; 
    } 
</script>

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>